Bug 12946 - Ошибка перевода Synaptic
: Ошибка перевода Synaptic
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/synaptic)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-27 22:15 by
Modified: 2011-05-17 15:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-27 22:15:52
Меню Настройки->Параметры, вкладка Дистрибутив.
Всплывающая подсказка на "Всегда предпочитать установленную версию" содержит в
себе HTML тег <b> (он отображается "как есть").
Steps to Reproduce:
1. Меню Настройки->Параметры
2. Вкладка Дистрибутив
------- Comment #1 From 2008-06-13 12:59:26 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #2 From 2009-07-24 15:29:08 -------
То есть в подсказках не обрабатываются html теги? Или это только в данном
конкретном случае такая проблема?

В итоге что надо править: перевод (убрать теги <b>) или функциональность
допиливать, чтобы отображалось болдом слово?
------- Comment #3 From 2010-11-10 17:52:00 -------
(В ответ на комментарий №2)
> То есть в подсказках не обрабатываются html теги? Или это только в данном
> конкретном случае такая проблема?
> 
> В итоге что надо править: перевод (убрать теги <b>) или функциональность
> допиливать, чтобы отображалось болдом слово?

В коде написано:
"... Be _very_ careful with this ...", т.е. нужно править файл с переводами
(*.po), в которых добавлены html тэги

Воспроизводится:
synaptic-0.57.2-alt2.7
------- Comment #4 From 2011-05-17 15:17:14 -------
synaptic-0.58-alt3 -> sisyphus:

* Tue May 17 2011 Lenar Shakirov <snejok@altlinux> 0.58-alt3
- Thanks to repocop for the patches:
  * versioned Requires removed
  * add --with-gnome option to find_lang

* Thu Feb 24 2011 Lenar Shakirov <snejok@altlinux> 0.58-alt2
- Russian localization updated
- (ALT #15002, #12946, #6224, #17499)

* Mon Feb 07 2011 Lenar Shakirov <snejok@altlinux> 0.58-alt1
- 0.58 (closes: 7871)
- synaptic-0.58-alt-build-fix.patch added
- Spec converted to utf8
- Supported icon's packaging fixed